Fire a sample notification to check that one or multiple webhook listeners are correctly set up for a particular topic and account. Test notification can be targeted to a specific listener by providing listenerId body parameter.
Send Webhook Test Notification
post
/api/webhook-test-notifications Request
Body application/json
topicstringrequiredThe subject area the listener is subscribed to, see Webhook Topics
accountIdstringrequiredThe identifier for the partner account associated with the listener.
listenerIdstringOptional. If provided the test notification will be sent only to that specific, subscribed listener. If omitted the notification will be sent to every active subscribed listener for the given topic.
Response
Successful operation.
Body application/json
notificationsobject[]Items
idstringrequiredThe id of the notification sent.
User is not allowed to perform the action with the reason stated in the errorCode.
FORBIDDEN Insufficient permissions to perform the action.
ACCOUNT_TYPE_INVALID accountType of the accountId is not of type PARTNER.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring